Subject: bug#53895: closed (Re: bug#53895: [PATCH 0/5] More CPU detection)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Feb 2022 13:08:02 +0000

Your bug report

#53895: [PATCH 0/5] More CPU detection

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53895: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53895
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53895: [PATCH 0/5] More CPU detection
From: Efraim Flashner <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Feb 2022 15:04:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Feb 10, 2022 at 09:42:44PM +0100, Ludovic Courtès wrote:
> Efraim Flashner <[email-masked]> skribis:
> 
> >> What we could do is extend ‘if-flags’ so that it can optionally check
> >> for a family number:
> >> 
> >>   (if-flags ((family 22) "movbe" => "btver2")
> >>              …)
> >
> > Another option would be to just move it to the bottom of the if-flags so
> > it should take effect then.
> 
> Yes, your call!

Just moving it to the end didn't end up being enough to make it work, my
processor was determined to be <unspecified>. I changed it to an 'or'
which seemed to make it work, and my testing seemed to show that it
would work (alternating substituting junk and my processor flags to make
it obviously one or the other).

Thanks for the review and the feedback. And for doing the work in the
first place!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/5] More CPU detection
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Wed, 9 Feb 2022 12:16:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that my AMD CPU was showing up as bonnell, which was clearly
wrong. I ended up rewriting parts of the x86_64 section (and considered
having it also serve for i686) and then tried to add some bits for
aarch64. IMO it's worth having the compiler-cpu-architectures for
aarch64/armhf, at least until (guix transformations) is taught that for
aarch64/armhf to use -mtune in place of -march.

Efraim Flashner (5):
  guix: cpu: Rewrite based on feature flags.
  gnu: cpu: Add detection for AMD CPUs.
  gnu: gcc: Add compiler-cpu-architectures for aarch64.
  gnu: gcc: Add compiler-cpu-architectures for armhf.
  WIP: guix: cpu: Add detection for aarch64 CPUs.

 gnu/packages/gcc.scm |  33 +++++++-
 guix/cpu.scm         | 186 +++++++++++++++++++++++++++++++++++--------
 2 files changed, 186 insertions(+), 33 deletions(-)

base-commit: 71438cd4222a02b1f89152437c1ea20499baa6a2
-- 
2.34.0